"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var b=Object.create;var f=Object.defineProperty;var P=Object.getOwnPropertyDescriptor;var S=Object.getOwnPropertyNames;var k=Object.getPrototypeOf,C=Object.prototype.hasOwnProperty;var T=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var z=(e,t,o,i)=>{if(t&&typeof t=="object"||typeof t=="function")for(let n of S(t))!C.call(e,n)&&n!==o&&f(e,n,{get:()=>t[n],enumerable:!(i=P(t,n))||i.enumerable});return e};var y=(e,t,o)=>(o=e!=null?b(k(e)):{},z(t||!e||!e.__esModule?f(o,"default",{value:e,enumerable:!0}):o,e));var h=(e,t,o)=>new Promise((i,n)=>{var r=l=>{try{u(o.next(l))}catch(d){n(d)}},c=l=>{try{u(o.throw(l))}catch(d){n(d)}},u=l=>l.done?i(l.value):Promise.resolve(l.value).then(r,c);u((o=o.apply(e,t)).next())});var m=T((A,w)=>{w.exports=Vue});var D=y(m());function x(e,t,...o){uni.__log__?uni.__log__(e,t,...o):console[e].apply(console,[...o,t])}var a="https://opyx-erp-decoration.oss-cn-shenzhen.aliyuncs.com";a=a.replace("https://","");a=a.replace(".oss-cn-shenzhen.aliyuncs.com","");var v={nodeEnv:"production",nodeEnvType:"PRO",uniAppid:"H5165F362",baseUrl:"https://api.zhhome.top",gateway:"https://apigateway.oppein.com",ssoUrl:"https://apigateway.oppein.com/oauth/login?client_redirect_uri=",aiUrl:"https://ai.oppein.com",appCode:"SDPL",subAppCode:"SDPLAP002",ossBucketName:a,ossUrl:"https://opyx-erp-decoration.oss-cn-shenzhen.aliyuncs.com",ossPrivateUrl:"https://opyx-erp-decoration.oss-cn-shenzhen.aliyuncs.com",ossProUrl:"https://opyx-erp-decoration.oss-cn-shenzhen.aliyuncs.com",ossCdnUrl:"https://opyx-erp-decoration.oss-cn-shenzhen.aliyuncs.com",ossCdnProUrl:"https://opyx-erp-decoration.oss-cn-shenzhen.aliyuncs.com",ossMtdsUrl:"https://opyx-mtds-pro.oss-cn-shenzhen.aliyuncs.com",ossMtdsProUrl:"https://opyx-mtds-pro.oss-cn-shenzhen.aliyuncs.com",ossCdnMtdsUrl:"https://mtdsosscdn.oppein.com",ossCdnMtdsProUrl:"https://mtdsosscdn.oppein.com",envVersion:"PRO",manualUrl:"https://manual.oppein.com"},_=(e,t)=>{let o=e.__vccOpts||e;for(let[i,n]of t)o[i]=n;return o};var s=y(m());var I={"page-wrap":{"":{width:"750rpx",height:100,backgroundColor:"#000000"}},"navigation-back":{"":{position:"fixed",zIndex:10,top:"100rpx",left:"24rpx",width:"56rpx",height:"56rpx",borderRadius:"28rpx",backgroundColor:"rgba(0,0,0,0.5)",display:"flex",justifyContent:"center",alignItems:"center"}},"video-download-behavior":{"":{position:"absolute",width:54,height:54,right:5,bottom:"150rpx",zIndex:1e3,"video-download-icon":{"":{position:"fixed",overflow:"hidden"}}}}},B={data(){return{navbarStyle:{},appType:"",backImg:"https://mtdsosscdn.oppein.com/SDPL/images/common/back.png?t=1716793341000",playImg:"https://mtdsosscdn.oppein.com/SDPL/images/common/paly.png?t=1716793341000",downloadImg:"https://opyx-erp-decoration.oss-cn-shenzhen.aliyuncs.com/SDPL/images/common/dwonload.png?t=1724055173319",downloadLoading:!1,file:{url:"",poster:""},isPc:!1}},computed:{screenHeight(){return uni.getSystemInfoSync().screenHeight},screenWidth(){return uni.getSystemInfoSync().screenWidth},pageWrapStyle(){return`width:750rpx;height: ${uni.getSystemInfoSync().screenHeight+"px"};background: #000;`}},methods:{routeBack(){uni.navigateBack()},handlePath(e){return!e||typeof e!="string"?"":e.includes("https")?e:e.includes("http")&&!e.includes("https")?(e=e.replace("http","https"),e):v.ossMtdsUrl+"/"+e},handleDownload(){return h(this,null,function*(){uni.showToast({title:"\u4E0B\u8F7D\u4E2D",icon:"loading"}),uni.showLoading(),uni.downloadFile({url:this.handlePath(this.file.url),success:e=>{e.statusCode===200?(uni.saveVideoToPhotosAlbum({filePath:e.tempFilePath,success:()=>{uni.showToast({title:"\u4FDD\u5B58\u6210\u529F"})},fail:t=>{t.errMsg==="saveVideoToPhotosAlbum:fail auth deny"&&uni.showModal({title:"\u63D0\u793A",content:"\u82E5\u70B9\u51FB\u4E0D\u6388\u6743\uFF0C\u5C06\u65E0\u6CD5\u4F7F\u7528\u4FDD\u5B58\u56FE\u50CF\u529F\u80FD",cancelText:"\u4E0D\u6388\u6743",cancelColor:"#999",confirmText:"\u53BB\u6388\u6743",confirmColor:"#f94218",success:o=>{o.confirm?uni.openSetting({success(){}}):o.cancel&&uni.showToast({title:"\u5DF2\u53D6\u6D88"})}})}}),uni.hideLoading()):uni.showToast({title:"\u8D44\u6E90\u683C\u5F0F\u9519\u8BEF\uFF0C\u8BF7\u8054\u7CFB\u7BA1\u7406\u5458"})},fail:()=>{uni.hideLoading(),uni.showToast({title:"\u4E0B\u8F7D\u5931\u8D25"})}})})}},onLoad(e){return h(this,null,function*(){x("log","at pages-video/video/index.nvue:171","query===",e),this.file.url=(e==null?void 0:e.url)||"",this.isPc=(e==null?void 0:e.isPc)||!1,this.file.poster=(e==null?void 0:e.poster)||"";let t=yield uni.getSystemInfo();this.appType=t.uniPlatform==="mp-weixin"?"C":"B",this.navbarStyle=objectToStyle({top:t.statusBarHeight+5+"px"})})}};function U(e,t,o,i,n,r){return(0,s.openBlock)(),(0,s.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,s.createElementVNode)("view",{style:(0,s.normalizeStyle)(r.pageWrapStyle)},[(0,s.createElementVNode)("view",{class:"navigation-back",style:(0,s.normalizeStyle)(n.navbarStyle),onClick:t[0]||(t[0]=(...c)=>r.routeBack&&r.routeBack(...c))},[(0,s.createElementVNode)("u-image",{src:n.backImg,style:{width:"30rpx",height:"30rpx"}},null,8,["src"])],4),(0,s.createElementVNode)("view",null,[(0,s.createElementVNode)("u-video",{src:r.handlePath(n.file.url),objectFit:"contain",poster:n.file.poster,controls:!0,showControls:!0,autoplay:!0,showFullscreenBtn:!0,showLoading:!0,showMuteBtn:!0,showPlayBtn:!0,showCenterPlayBtn:!1,showProgress:!0,enableProgressGesture:!1,enableNative:!0,style:(0,s.normalizeStyle)(`width:750rpx;height:${r.screenHeight-120}px`)},null,12,["src","poster"]),n.isPc?(0,s.createCommentVNode)("",!0):((0,s.openBlock)(),(0,s.createElementBlock)("view",{key:0,class:"video-download-behavior",onClick:t[1]||(t[1]=c=>r.handleDownload())},[(0,s.createElementVNode)("view",{class:"video-download-icon op-flex-center op-flex-items-center mr-2"},[(0,s.createElementVNode)("u-image",{src:n.downloadImg,style:{width:"40rpx",height:"40rpx"}},null,8,["src"]),(0,s.createElementVNode)("u-text",{style:{"font-size":"24rpx",color:"#fff","margin-top":"3px"}},"\u4E0B\u8F7D")])]))])],4)])}var p=_(B,[["render",U],["styles",[I]]]);var g=plus.webview.currentWebview();if(g){let e=parseInt(g.id),t="pages-video/video/index",o={};try{o=JSON.parse(g.__query__)}catch(n){}p.mpType="page";let i=Vue.createPageApp(p,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:t,__pageQuery:o});i.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...p.styles||[]])),i.mount("#root")}})();
